import "./Accordion.css";
import { AccordionBuilderHeader, AccordionBuilderPanel } from "./useAccordionItems";
import { ComponentProps } from "react";
import { InternalProps, OmitInternalProps, StyledComponentProps } from "../../shared";
export interface InnerAccordionItemProps extends InternalProps, Omit<StyledComponentProps<"div">, "ref"> {
    item: {
        header: AccordionBuilderHeader;
        id: string;
        key: string;
        panel: AccordionBuilderPanel;
    };
}
export declare function InnerAccordionItem({ forwardedRef, item: { header, id, key, panel }, ...rest }: InnerAccordionItemProps): JSX.Element;
export declare const AccordionItem: import("react").ForwardRefExoticComponent<OmitInternalProps<InnerAccordionItemProps, never> & import("react").RefAttributes<any>>;
export declare type AccordionItemProps = ComponentProps<typeof AccordionItem>;
