import { Ref } from "react";
import { StyledComponentProps } from "../../shared";
import { ValidationState } from "../../input";
export interface HiddenAutocompleteProps extends Omit<StyledComponentProps<"input">, "ref"> {
    /**
     * @ignore
     */
    ref?: Ref<any>;
    /**
     * Whether or not a user input is required before form submission.
     */
    required?: boolean;
    /**
     * A controlled selected key.
     */
    selectedKey?: string;
    /**
     * Whether or not the select should display as "valid" or "invalid".
     */
    validationState?: ValidationState;
}
export declare function HiddenAutocomplete({ name, required, validationState, value, ...rest }: HiddenAutocompleteProps): JSX.Element;
