import { IconButton } from "./IconButton";
import { forwardRef } from "react";
import { mergeProps, resolveChildren, useCheckableProps } from "../../shared";
import { useToggleButton } from "./useToggleButton";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerToggleIconButton(props) {
  const [checkableProps, isCheckable] = useCheckableProps(props);
  const {
    active,
    "aria-label": ariaLabel,
    checked,
    children,
    defaultChecked,
    forwardedRef,
    onChange,
    shape = "circular",
    value,
    variant,
    ...rest
  } = mergeProps(props, checkableProps);
  const {
    buttonProps,
    isChecked
  } = useToggleButton({
    active,
    checked,
    defaultChecked,
    forwardedRef,
    isCheckable,
    onChange,
    shape,
    value,
    variant
  });
  const content = resolveChildren(children, {
    isChecked
  });
  return /*#__PURE__*/_jsx(IconButton, { ...mergeProps({
      "aria-label": ariaLabel
    }, rest, buttonProps),
    children: content
  });
}
export const ToggleIconButton = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerToggleIconButton, { ...props,
  forwardedRef: ref
}));