import { AriaAttributes } from "react";
import { InteractionProps, InternalProps, MergedRef, Size } from "../../shared";
export declare type ButtonVariant = "primary" | "secondary" | "tertiary" | "danger" | "inherit";
export declare type ButtonShape = "rounded" | "circular";
export interface UseButtonProps extends Partial<InternalProps>, InteractionProps {
    autoFocus?: boolean | number;
    cssModule?: string;
    fluid?: boolean;
    inherit?: boolean;
    loading?: boolean;
    shape?: ButtonShape;
    size?: Size;
    type?: "button" | "submit" | "reset";
    variant?: ButtonVariant;
}
export interface UseButtonReturn {
    "aria-busy": boolean;
    "aria-live": AriaAttributes["aria-live"];
    className: string;
    ref: MergedRef<any>;
    type: UseButtonProps["type"];
}
export declare function useButton({ active, as, autoFocus, cssModule: module, fluid, focus, forwardedRef, hover, inherit, loading, shape: userShape, size, type, variant: userVariant }: UseButtonProps): UseButtonReturn;
