import { ButtonShape, ButtonVariant } from "./useButton";
import { FormEvent, ForwardedRef, MouseEvent } from "react";
export declare type ToggleButtonVariant = Omit<ButtonVariant, "tertiary" | "danger">;
export interface UseToggleButtonProps {
    active?: boolean;
    checked?: boolean | null;
    defaultChecked?: boolean;
    forwardedRef?: ForwardedRef<any>;
    isCheckable: boolean;
    onChange?: (event: FormEvent<HTMLButtonElement>, isChecked: boolean) => void;
    onCheck?: (event: FormEvent<HTMLButtonElement>, value: string) => void;
    shape?: ButtonShape;
    value?: string;
    variant?: ToggleButtonVariant;
}
export declare function useToggleButton({ active, checked, defaultChecked, forwardedRef, isCheckable, onChange, onCheck, shape, value, variant }: UseToggleButtonProps): {
    buttonProps: {
        [x: string]: string | boolean | ((instance: any) => void) | import("react").MutableRefObject<any>;
        active: boolean;
        onClick: (event: MouseEvent<HTMLButtonElement>) => void;
        ref: ForwardedRef<any>;
        shape: ButtonShape;
        value: string;
        variant: ButtonVariant;
    };
    isChecked: boolean;
};
