import "./Counter.css";
import { Box } from "../../box";
import { forwardRef } from "react";
import { cssModule, mergeProps, normalizeSize, slot } from "../../shared";
import { useResponsiveValue } from "../../styling";
import { Text } from "../../typography";
import { jsx as _jsx } from "react/jsx-runtime";
const DefaultElement = "span";
export function InnerCounter(props) {
  const {
    as = DefaultElement,
    children,
    color,
    forwardedRef,
    highlight,
    pushed,
    reverse,
    size,
    variant = "basic",
    ...rest
  } = props;
  const sizeValue = useResponsiveValue(size);
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      as,
      className: cssModule("o-ui-counter", variant, color === "inherit" && "inherit-color", highlight && "highlight", reverse && "reverse", pushed && "pushed", normalizeSize(sizeValue)),
      color,
      ref: forwardedRef
    }),
    children: /*#__PURE__*/_jsx(Text, {
      color: "inherit",
      size: sizeValue,
      children: children
    })
  });
}
export const Counter = slot("counter", /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerCounter, { ...props,
  forwardedRef: ref
})));