import { forwardRef } from "react";
import { FieldMessage, getValidationProps } from "./FieldMessage";
import { mergeProps } from "../../shared";
import { useFieldMessageProps } from "./FieldContext";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerHelpMessage(props) {
  const [{
    validationState,
    ...messageProps
  }, isInField] = useFieldMessageProps();
  const {
    isHelp
  } = getValidationProps(validationState);
  const {
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, messageProps);

  if (isInField && !isHelp) {
    return null;
  }

  return /*#__PURE__*/_jsx(FieldMessage, { ...rest,
    ref: forwardedRef,
    tone: "neutral",
    children: children
  });
}
export const HelpMessage = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerHelpMessage, { ...props,
  forwardedRef: ref
}));