import { ForwardedRef } from "react";
import { MergedRef } from "../../shared";
import { ValidationState } from "../../input";
import type { FieldContextType } from "./FieldContext";
export interface UseFieldProps {
    className?: string;
    disabled?: boolean;
    fluid?: boolean;
    forwardedRef?: ForwardedRef<any>;
    id?: string;
    required?: boolean;
    validationState?: ValidationState;
}
export interface UseFieldReturn {
    fieldContext: Partial<FieldContextType>;
    fieldId: string;
    fieldProps: {
        className: string;
        id: string;
        ref: MergedRef<any>;
    };
}
export declare function useField({ className, disabled, fluid, forwardedRef, id, required, validationState }: UseFieldProps): UseFieldReturn;
