import { ForwardedRef } from "react";
import { MergedRef } from "../../shared";
import { ValidationState } from "../../input";
import type { FieldContextType } from "./FieldContext";
export interface UseGroupFieldProps {
    className?: string;
    disabled?: boolean;
    fluid?: boolean;
    forwardedRef?: ForwardedRef<any>;
    id?: string;
    required?: boolean;
    validationState?: ValidationState;
}
export interface UseGroupFieldReturn {
    fieldContext: Partial<FieldContextType>;
    fieldId: string;
    fieldProps: {
        "aria-describedby": string;
        "aria-labelledby": string;
        className: string;
        id: string;
        ref: MergedRef<any>;
        role: string;
    };
}
export declare function useGroupField({ className, disabled, fluid, forwardedRef, id, required, validationState }: UseGroupFieldProps): UseGroupFieldReturn;
