import { ReactElement, ReactNode, SVGProps } from "react";
import { IconSize } from "./Icon";
import { InternalProps, SlotProps } from "../../shared";
import { ResponsiveProp, StyledSystemProps } from "../../styling";
export interface EmbeddedIconProps extends StyledSystemProps, SlotProps, InternalProps, Omit<SVGProps<SVGSVGElement>, keyof StyledSystemProps> {
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * Whether or not the icon should look disabled.
     */
    disabled?: boolean;
    /**
     * An icon can vary in size.
     */
    size?: ResponsiveProp<IconSize>;
}
export declare const embeddedIconSize: (size: import("../../shared").Size) => "2xs" | "xs" | "sm" | "md" | "lg" | "inherit";
export declare function EmbeddedIcon({ children, size, ...rest }: EmbeddedIconProps): ReactElement<any, string | import("react").JSXElementConstructor<any>>;
