import { FlexAlignment, FlexOrientation } from "../../layout";
import { GapProp } from "../../styling";
import { Ref } from "react";
import { ValidationState } from "../../input";
export interface UseGroupInputProps {
    cssModule?: string;
    disabled?: boolean;
    gap?: GapProp;
    groupRef: Ref<any>;
    isInField?: boolean;
    orientation?: FlexOrientation;
    required?: boolean;
    reverse?: boolean;
    role?: "group" | "radiogroup";
    size?: "sm" | "md";
    validationState?: ValidationState;
    wrap?: boolean;
}
export interface UseGroupInputReturn {
    groupProps: {
        align?: FlexAlignment;
        "aria-disabled"?: boolean;
        "aria-invalid"?: boolean;
        "aria-orientation"?: FlexOrientation;
        "aria-required"?: boolean;
        className?: string;
        gap?: GapProp;
        inline?: boolean;
        orientation?: FlexOrientation;
        ref?: Ref<any>;
        role?: "group" | "radiogroup";
        wrap?: boolean;
    };
    itemProps: {
        disabled?: boolean;
        reverse?: boolean;
        size?: "sm" | "md";
        validationState?: ValidationState;
    };
}
export declare function useGroupInput({ cssModule: module, disabled, gap, groupRef, isInField, orientation, required, reverse, role, size, validationState, wrap }: UseGroupInputProps): UseGroupInputReturn;
