import { ChangeEvent, ChangeEventHandler, ForwardedRef } from "react";
import { ValidationState } from "./types";
export interface UseInputProps {
    active?: boolean;
    autoFocus?: boolean | number;
    cssModule?: string;
    disabled?: boolean;
    fluid?: boolean;
    focus?: boolean;
    forwardedRef: ForwardedRef<any>;
    hover?: boolean;
    id?: string;
    loading?: boolean;
    onChange?: ChangeEventHandler;
    placeholder?: string;
    readOnly?: boolean;
    required?: boolean;
    type?: "text" | "password" | "search" | "url" | "tel" | "email" | "number";
    validationState?: ValidationState;
    value?: string | number;
}
export declare function useInput({ active, autoFocus, cssModule: module, disabled, fluid, focus, forwardedRef, hover, id, loading, onChange, placeholder, readOnly, required, type, validationState, value }: UseInputProps): {
    inputProps: {
        "aria-invalid": boolean;
        "aria-required": boolean;
        disabled: boolean;
        id: string;
        onChange: (event: ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
        placeholder: string;
        readOnly: boolean;
        ref: import("../../shared").MergedRef<any>;
        type: "number" | "search" | "text" | "tel" | "url" | "email" | "password";
        value: string | number;
    };
    inputRef: import("../../shared").MergedRef<any>;
    wrapperProps: {
        className: string;
        role: string;
    };
};
