import { ForwardedRef } from "react";
import { InteractionProps } from "../../shared";
export declare type LinkVariant = "primary" | "secondary" | "danger";
export interface UseLinkProps extends InteractionProps {
    autoFocus?: boolean | number;
    cssModule?: string;
    disabled?: boolean;
    external?: boolean;
    forwardedRef?: ForwardedRef<HTMLElement>;
    rel?: string;
    shape?: string;
    target?: string;
    underline?: string;
    variant?: LinkVariant;
    visited?: boolean;
}
export declare function useLink({ active, autoFocus, cssModule: module, disabled, external, focus, forwardedRef, hover, rel, shape, target, underline, variant, visited }: UseLinkProps): {
    linkProps: {
        className: string;
        ref: import("../../shared").MergedRef<HTMLElement>;
        rel: string;
        tabIndex: number;
        target: string;
    };
    showNewTabIndicator: boolean;
};
