import { Box } from "../../box";
import { forwardRef } from "react";
import { mergeProps } from "../../shared";
import { Span, UL } from "../../html";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const DefaultElement = "li";
export function InnerMenuSection({
  as = DefaultElement,
  children,
  forwardedRef,
  id,
  title,
  ...rest
}) {
  return /*#__PURE__*/_jsxs(Box, { ...mergeProps(rest, {
      as,
      className: "o-ui-menu-section",
      ref: forwardedRef,
      role: "presentation"
    }),
    children: [/*#__PURE__*/_jsx(Span, {
      "aria-hidden": "true",
      className: "o-ui-menu-section-title",
      id: id,
      children: title
    }), /*#__PURE__*/_jsx(UL, {
      "aria-labelledby": id,
      className: "o-ui-menu-section-items",
      role: "group",
      children: children
    })]
  });
}
export const MenuSection = /*#__PURE__*/forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMenuSection, { ...props,
  forwardedRef: ref
}));