import { isNil, useDocumentListener, useEventCallback } from "../../shared";
export function useInteractOutside(rootElementRef, {
  isDisabled,
  onInteractOutside
} = {}) {
  const handleDocumentClick = useEventCallback(event => {
    var _rootElementRef$curre;

    if (!((_rootElementRef$curre = rootElementRef.current) !== null && _rootElementRef$curre !== void 0 && _rootElementRef$curre.contains(event.target))) {
      if (!isNil(onInteractOutside)) {
        onInteractOutside(event);
      }
    }
  }); // If you remove "capture", test the popover component to make sure it still works.
  // https://reactjs.org/blog/2020/08/10/react-v17-rc.html#fixing-potential-issues

  useDocumentListener("click", handleDocumentClick, !isDisabled, {
    capture: true
  });
}