import { KeyboardEvent, ReactNode, Ref, SyntheticEvent } from "react";
import { OverlayProps, PopupAlignment, PopupDirection } from "../../overlay";
import { ValidationState } from "../../input";
export interface UseSelectProps {
    align?: PopupAlignment;
    allowFlip?: boolean;
    allowPreventOverflow?: boolean;
    allowResponsiveMenuWidth?: boolean;
    ariaDescribedBy?: string;
    ariaLabel?: string;
    ariaLabelledBy?: string;
    autoFocus?: boolean | number;
    defaultOpen?: boolean;
    defaultSelectedKey?: string;
    direction: PopupDirection;
    disabled?: boolean;
    id?: string;
    onOpenChange?: (event: SyntheticEvent, isOpen: boolean) => void;
    onSelectionChange?: (event: SyntheticEvent, selectedKey: string) => void;
    open?: boolean | null;
    overlayProps?: Partial<OverlayProps>;
    readOnly?: boolean;
    ref: Ref<any>;
    selectedKey?: string | null;
    validationState?: ValidationState;
}
export declare function useSelect(children: ReactNode, { align, allowFlip, allowPreventOverflow, allowResponsiveMenuWidth, ariaDescribedBy, ariaLabel, ariaLabelledBy, autoFocus, defaultOpen, defaultSelectedKey, direction, disabled, id, onOpenChange, onSelectionChange, open: openProp, overlayProps: { id: menuId, width: menuWidth, ...menuProps }, readOnly, ref, selectedKey: selectedKeyProp, validationState }: UseSelectProps): {
    close: (event: SyntheticEvent) => void;
    focusScope: import("../../shared").DomScope;
    isOpen: boolean;
    listboxProps: {
        "aria-describedby": string;
        "aria-label": string;
        "aria-labelledby": string;
        autoFocus: boolean;
        defaultFocusTarget: string;
        fluid: boolean;
        focusOnHover: boolean;
        nodes: import("../../collection").CollectionNode[];
        onSelectionChange: (event: SyntheticEvent, newValue: string[]) => void;
        selectedKeys: string[];
        validationState: ValidationState;
    };
    open: (event: SyntheticEvent, focusTarget: string) => void;
    overlayProps: {
        onKeyDown: (event: KeyboardEvent<Element>) => void;
    } & {
        onKeyDown?: undefined;
    } & {
        onKeyDown: (event: KeyboardEvent<Element>) => void;
    } & {
        id: string;
        ref: import("../../shared").MergedRef<HTMLElement>;
        show: boolean;
    } & {
        children?: ReactNode;
        className?: string;
        style?: import("react").CSSProperties;
        slot?: string;
        title?: string;
        filter?: import("../..").FilterProp;
        dir?: string;
        key?: import("react").Key;
        resize?: import("../..").ResizeProp;
        fill?: import("../..").FillProp;
        as?: import("react").ElementType<any>;
        color?: import("../..").ColorProp;
        content?: import("../..").ContentProp;
        height?: import("../..").HeightProp;
        defaultChecked?: boolean;
        defaultValue?: string | number | readonly string[];
        suppressContentEditableWarning?: boolean;
        suppressHydrationWarning?: boolean;
        accessKey?: string;
        contentEditable?: "inherit" | (boolean | "true" | "false");
        contextMenu?: string;
        draggable?: boolean | "true" | "false";
        hidden?: boolean;
        lang?: string;
        placeholder?: string;
        spellCheck?: boolean | "true" | "false";
        tabIndex?: number;
        translate?: "yes" | "no";
        radioGroup?: string;
        role?: import("react").AriaRole;
        about?: string;
        datatype?: string;
        inlist?: any;
        prefix?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autoCapitalize?: string;
        autoCorrect?: string;
        autoSave?: string;
        itemProp?: string;
        itemScope?: boolean;
        itemType?: string;
        itemID?: string;
        itemRef?: string;
        results?: number;
        security?: string;
        unselectable?: "on" | "off";
        inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal";
        is?: string;
        'aria-activedescendant'?: string;
        'aria-atomic'?: boolean | "true" | "false";
        'aria-autocomplete'?: "list" | "none" | "both" | "inline";
        'aria-busy'?: boolean | "true" | "false";
        'aria-checked'?: boolean | "true" | "false" | "mixed";
        'aria-colcount'?: number;
        'aria-colindex'?: number;
        'aria-colspan'?: number;
        'aria-controls'?: string;
        'aria-current'?: boolean | "time" | "step" | "true" | "false" | "page" | "location" | "date";
        'aria-describedby'?: string;
        'aria-details'?: string;
        'aria-disabled'?: boolean | "true" | "false";
        'aria-dropeffect'?: "link" | "none" | "copy" | "execute" | "move" | "popup";
        'aria-errormessage'?: string;
        'aria-expanded'?: boolean | "true" | "false";
        'aria-flowto'?: string;
        'aria-grabbed'?: boolean | "true" | "false";
        'aria-haspopup'?: boolean | "dialog" | "menu" | "grid" | "true" | "false" | "listbox" | "tree";
        'aria-hidden'?: boolean | "true" | "false";
        'aria-invalid'?: boolean | "true" | "false" | "grammar" | "spelling";
        'aria-keyshortcuts'?: string;
        'aria-label'?: string;
        'aria-labelledby'?: string;
        'aria-level'?: number;
        'aria-live'?: "off" | "assertive" | "polite";
        'aria-modal'?: boolean | "true" | "false";
        'aria-multiline'?: boolean | "true" | "false";
        'aria-multiselectable'?: boolean | "true" | "false";
        'aria-orientation'?: "horizontal" | "vertical";
        'aria-owns'?: string;
        'aria-placeholder'?: string;
        'aria-posinset'?: number;
        'aria-pressed'?: boolean | "true" | "false" | "mixed";
        'aria-readonly'?: boolean | "true" | "false";
        'aria-relevant'?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals";
        'aria-required'?: boolean | "true" | "false";
        'aria-roledescription'?: string;
        'aria-rowcount'?: number;
        'aria-rowindex'?: number;
        'aria-rowspan'?: number;
        'aria-selected'?: boolean | "true" | "false";
        'aria-setsize'?: number;
        'aria-sort'?: "none" | "ascending" | "descending" | "other";
        'aria-valuemax'?: number;
        'aria-valuemin'?: number;
        'aria-valuenow'?: number;
        'aria-valuetext'?: string;
        dangerouslySetInnerHTML?: {
            __html: string;
        };
        onCopy?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onCopyCapture?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onCut?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onCutCapture?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onPaste?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onPasteCapture?: import("react").ClipboardEventHandler<HTMLDivElement>;
        onCompositionEnd?: import("react").CompositionEventHandler<HTMLDivElement>;
        onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLDivElement>;
        onCompositionStart?: import("react").CompositionEventHandler<HTMLDivElement>;
        onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLDivElement>;
        onCompositionUpdate?: import("react").CompositionEventHandler<HTMLDivElement>;
        onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLDivElement>;
        onFocus?: import("react").FocusEventHandler<HTMLDivElement>;
        onFocusCapture?: import("react").FocusEventHandler<HTMLDivElement>;
        onBlur?: import("react").FocusEventHandler<HTMLDivElement>;
        onBlurCapture?: import("react").FocusEventHandler<HTMLDivElement>;
        onChange?: import("react").FormEventHandler<HTMLDivElement>;
        onChangeCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onBeforeInput?: import("react").FormEventHandler<HTMLDivElement>;
        onBeforeInputCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onInput?: import("react").FormEventHandler<HTMLDivElement>;
        onInputCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onReset?: import("react").FormEventHandler<HTMLDivElement>;
        onResetCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onSubmit?: import("react").FormEventHandler<HTMLDivElement>;
        onSubmitCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onInvalid?: import("react").FormEventHandler<HTMLDivElement>;
        onInvalidCapture?: import("react").FormEventHandler<HTMLDivElement>;
        onLoad?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onError?: import("react").ReactEventHandler<HTMLDivElement>;
        onErrorCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onKeyDown?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onKeyPress?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onKeyUp?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLDivElement>;
        onAbort?: import("react").ReactEventHandler<HTMLDivElement>;
        onAbortCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onCanPlay?: import("react").ReactEventHandler<HTMLDivElement>;
        onCanPlayCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onCanPlayThrough?: import("react").ReactEventHandler<HTMLDivElement>;
        onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onDurationChange?: import("react").ReactEventHandler<HTMLDivElement>;
        onDurationChangeCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onEmptied?: import("react").ReactEventHandler<HTMLDivElement>;
        onEmptiedCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onEncrypted?: import("react").ReactEventHandler<HTMLDivElement>;
        onEncryptedCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onEnded?: import("react").ReactEventHandler<HTMLDivElement>;
        onEndedCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadedData?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadedDataCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadedMetadata?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadStart?: import("react").ReactEventHandler<HTMLDivElement>;
        onLoadStartCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onPause?: import("react").ReactEventHandler<HTMLDivElement>;
        onPauseCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onPlay?: import("react").ReactEventHandler<HTMLDivElement>;
        onPlayCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onPlaying?: import("react").ReactEventHandler<HTMLDivElement>;
        onPlayingCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onProgress?: import("react").ReactEventHandler<HTMLDivElement>;
        onProgressCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onRateChange?: import("react").ReactEventHandler<HTMLDivElement>;
        onRateChangeCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onSeeked?: import("react").ReactEventHandler<HTMLDivElement>;
        onSeekedCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onSeeking?: import("react").ReactEventHandler<HTMLDivElement>;
        onSeekingCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onStalled?: import("react").ReactEventHandler<HTMLDivElement>;
        onStalledCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onSuspend?: import("react").ReactEventHandler<HTMLDivElement>;
        onSuspendCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onTimeUpdate?: import("react").ReactEventHandler<HTMLDivElement>;
        onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onVolumeChange?: import("react").ReactEventHandler<HTMLDivElement>;
        onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onWaiting?: import("react").ReactEventHandler<HTMLDivElement>;
        onWaitingCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onAuxClick?: import("react").MouseEventHandler<HTMLDivElement>;
        onAuxClickCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onClick?: import("react").MouseEventHandler<HTMLDivElement>;
        onClickCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onContextMenu?: import("react").MouseEventHandler<HTMLDivElement>;
        onContextMenuCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onDoubleClick?: import("react").MouseEventHandler<HTMLDivElement>;
        onDoubleClickCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onDrag?: import("react").DragEventHandler<HTMLDivElement>;
        onDragCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragEnd?: import("react").DragEventHandler<HTMLDivElement>;
        onDragEndCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragEnter?: import("react").DragEventHandler<HTMLDivElement>;
        onDragEnterCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragExit?: import("react").DragEventHandler<HTMLDivElement>;
        onDragExitCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragLeave?: import("react").DragEventHandler<HTMLDivElement>;
        onDragLeaveCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragOver?: import("react").DragEventHandler<HTMLDivElement>;
        onDragOverCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDragStart?: import("react").DragEventHandler<HTMLDivElement>;
        onDragStartCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onDrop?: import("react").DragEventHandler<HTMLDivElement>;
        onDropCapture?: import("react").DragEventHandler<HTMLDivElement>;
        onMouseDown?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseDownCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseEnter?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseLeave?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseMove?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseMoveCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseOut?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseOutCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseOver?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseOverCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseUp?: import("react").MouseEventHandler<HTMLDivElement>;
        onMouseUpCapture?: import("react").MouseEventHandler<HTMLDivElement>;
        onSelect?: import("react").ReactEventHandler<HTMLDivElement>;
        onSelectCapture?: import("react").ReactEventHandler<HTMLDivElement>;
        onTouchCancel?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchCancelCapture?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchEnd?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchEndCapture?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchMove?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchMoveCapture?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchStart?: import("react").TouchEventHandler<HTMLDivElement>;
        onTouchStartCapture?: import("react").TouchEventHandler<HTMLDivElement>;
        onPointerDown?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerDownCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerMove?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerMoveCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerUp?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerUpCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerCancel?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerCancelCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerEnter?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerEnterCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerLeave?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerLeaveCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerOver?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerOverCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerOut?: import("react").PointerEventHandler<HTMLDivElement>;
        onPointerOutCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onGotPointerCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onLostPointerCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement>;
        onScroll?: import("react").UIEventHandler<HTMLDivElement>;
        onScrollCapture?: import("react").UIEventHandler<HTMLDivElement>;
        onWheel?: import("react").WheelEventHandler<HTMLDivElement>;
        onWheelCapture?: import("react").WheelEventHandler<HTMLDivElement>;
        onAnimationStart?: import("react").AnimationEventHandler<HTMLDivElement>;
        onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLDivElement>;
        onAnimationEnd?: import("react").AnimationEventHandler<HTMLDivElement>;
        onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLDivElement>;
        onAnimationIteration?: import("react").AnimationEventHandler<HTMLDivElement>;
        onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLDivElement>;
        onTransitionEnd?: import("react").TransitionEventHandler<HTMLDivElement>;
        onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLDivElement>;
        alignContent?: import("../..").AlignContentProp;
        alignItems?: import("../..").AlignItemsProp;
        alignSelf?: import("../..").AlignSelfProp;
        aspectRatio?: import("../..").AspectRatioProp;
        backgroundColor?: import("../..").BackgroundColorProp;
        backgroundColorActive?: import("../..").BackgroundColorProp;
        backgroundColorFocus?: import("../..").BackgroundColorProp;
        backgroundColorHover?: import("../..").BackgroundColorProp;
        backgroundImage?: import("../..").BackgroundImageProp;
        backgroundPosition?: import("../..").BackgroundPositionProp;
        backgroundRepeat?: import("../..").BackgroundRepeatProp;
        backgroundSize?: import("../..").BackgroundSizeProp;
        border?: import("../..").BorderProp;
        borderBottom?: import("../..").BorderProp;
        borderBottomActive?: import("../..").BorderProp;
        borderBottomFocus?: import("../..").BorderProp;
        borderBottomHover?: import("../..").BorderProp;
        borderBottomLeftRadius?: import("../..").BorderRadiusProp;
        borderBottomRightRadius?: import("../..").BorderRadiusProp;
        borderActive?: import("../..").BorderProp;
        borderFocus?: import("../..").BorderProp;
        borderHover?: import("../..").BorderProp;
        borderLeft?: import("../..").BorderProp;
        borderLeftActive?: import("../..").BorderProp;
        borderLeftFocus?: import("../..").BorderProp;
        borderLeftHover?: import("../..").BorderProp;
        borderRadius?: import("../..").BorderRadiusProp;
        borderRight?: import("../..").BorderProp;
        borderRightActive?: import("../..").BorderProp;
        borderRightFocus?: import("../..").BorderProp;
        borderRightHover?: import("../..").BorderProp;
        borderTop?: import("../..").BorderProp;
        borderTopActive?: import("../..").BorderProp;
        borderTopFocus?: import("../..").BorderProp;
        borderTopHover?: import("../..").BorderProp;
        borderTopLeftRadius?: import("../..").BorderRadiusProp;
        borderTopRightRadius?: import("../..").BorderRadiusProp;
        bottom?: import("../..").BottomProp;
        boxShadow?: import("../..").BoxShadowProp;
        boxShadowActive?: import("../..").BoxShadowProp;
        boxShadowFocus?: import("../..").BoxShadowProp;
        boxShadowHover?: import("../..").BoxShadowProp;
        colorActive?: import("../..").ColorProp;
        colorFocus?: import("../..").ColorProp;
        colorHover?: import("../..").ColorProp;
        columnGap?: import("../..").ColumnGapProp;
        contentVisibility?: import("../..").ContentVisibilityProp;
        cursor?: import("../..").CursorProp;
        cursorHover?: import("../..").CursorProp;
        display?: import("../..").DisplayProp;
        fillFocus?: import("../..").FillProp;
        fillHover?: import("../..").FillProp;
        flex?: import("../..").FlexProp;
        flexBasis?: import("../..").FlexBasisProp;
        flexDirection?: import("../..").FlexDirectionProp;
        flexFlow?: import("../..").FlexFlowProp;
        flexGrow?: import("../..").FlexGrowProp;
        flexShrink?: import("../..").FlexShrinkProp;
        flexWrap?: import("../..").FlexWrapProp;
        fontSize?: import("../..").FontSizeProp;
        fontStyle?: import("../..").FontStyleProp;
        fontWeight?: import("../..").FontWeightProp;
        gap?: import("../..").GapProp;
        grid?: import("../..").GridProp;
        gridArea?: import("../..").GridAreaProp;
        gridAutoColumns?: import("../..").GridAutoColumnsProp;
        gridAutoFlow?: import("../..").GridAutoFlowProp;
        gridAutoRows?: import("../..").GridAutoRowsProp;
        gridColumn?: import("../..").GridColumnProp;
        gridColumnEnd?: import("../..").GridColumnEndProp;
        gridColumnSpan?: import("../..").GridColumnSpanProp;
        gridColumnStart?: import("../..").GridColumnStartProp;
        gridRow?: import("../..").GridRowProp;
        gridRowEnd?: import("../..").GridRowEndProp;
        gridRowSpan?: import("../..").GridRowSpanProp;
        gridRowStart?: import("../..").GridRowStartProp;
        gridTemplate?: import("../..").GridTemplateProp;
        gridTemplateAreas?: import("../..").GridTemplateAreasProp;
        gridTemplateColumns?: import("../..").GridTemplateColumnsProp;
        gridTemplateRows?: import("../..").GridTemplateRowsProp;
        justifyContent?: import("../..").JustifyContentProp;
        justifyItems?: import("../..").JustifyItemsProp;
        justifySelf?: import("../..").JustifySelfProp;
        left?: import("../..").LeftProp;
        letterSpacing?: import("../..").LetterSpacingProp;
        lineHeight?: import("../..").LineHeightProp;
        margin?: import("../..").MarginProp;
        marginBottom?: import("../..").MarginProp;
        marginLeft?: import("../..").MarginProp;
        marginRight?: import("../..").MarginProp;
        marginTop?: import("../..").MarginProp;
        marginX?: import("../..").MarginProp;
        marginY?: import("../..").MarginProp;
        maxHeight?: import("../..").MaxHeightProp;
        maxWidth?: import("../..").MaxWidthProp;
        minHeight?: import("../..").MinHeightProp;
        minWidth?: import("../..").MinWidthProp;
        objectFit?: import("../..").ObjectFitProp;
        objectPosition?: import("../..").ObjectPositionProp;
        opacity?: import("../..").OpacityProp;
        opacityActive?: import("../..").OpacityProp;
        opacityFocus?: import("../..").OpacityProp;
        opacityHover?: import("../..").OpacityProp;
        order?: import("../..").OrderProp;
        outline?: import("../..").OutlineProp;
        outlineFocus?: import("../..").OutlineProp;
        overflow?: import("../..").OverflowProp;
        overflowX?: import("../..").OverflowXProp;
        overflowY?: import("../..").OverflowYProp;
        padding?: import("../..").PaddingProp;
        paddingBottom?: import("../..").PaddingProp;
        paddingLeft?: import("../..").PaddingProp;
        paddingRight?: import("../..").PaddingProp;
        paddingTop?: import("../..").PaddingProp;
        paddingX?: import("../..").PaddingProp;
        paddingY?: import("../..").PaddingProp;
        pointerEvents?: import("../..").PointerEventsProp;
        position?: import("../..").PositionProp;
        right?: import("../..").RightProp;
        rowGap?: import("../..").RowGapProp;
        stroke?: import("../..").StrokeProp;
        textAlign?: import("../..").TextAlignProp;
        textDecoration?: import("../..").TextDecorationProp;
        textOverflow?: import("../..").TextOverflowProp;
        textTransform?: import("../..").TextTransformProp;
        top?: import("../..").TopProp;
        transform?: import("../..").TransformProp;
        transformOrigin?: import("../..").TransformOriginProp;
        transformStyle?: import("../..").TransformStyleProp;
        verticalAlign?: import("../..").VerticalAlignProp;
        visibility?: import("../..").VisibilityProp;
        whiteSpace?: import("../..").WhiteSpaceProp;
        willChange?: import("../..").WillChangeProp;
        wordBreak?: import("../..").WordBreakProp;
        zIndex?: number;
        show?: boolean;
        borderOffset?: string | number;
        containerElement?: HTMLElement;
        ref?: Ref<any>;
    } & {
        className: string;
        width: string | 0 | 1 | 2 | 13 | 18 | 3 | 6 | 4 | 10 | 5 | 7 | 8 | 9 | 11 | 12 | 14 | 15 | 16 | 17 | import("../..").ResponsiveValue<import("../..").WidthValue>;
    };
    selectedItem: {
        avatar: any;
        endIcon: any;
        icon: any;
        text: any;
    };
    selectedKey: string;
    setSelectedKey: (event: SyntheticEvent, newKeys: string[]) => void;
    triggerProps: {
        onClick: undefined;
        onKeyDown: undefined;
        onKeyUp: undefined;
        onBlur: undefined;
        onFocus: undefined;
        onMouseEnter: undefined;
        "aria-controls": string;
        "aria-expanded": boolean;
        "aria-haspopup": "dialog" | "menu" | "listbox";
        tabIndex: number;
    } & {
        "aria-describedby": string;
        "aria-label": string;
        "aria-labelledby": string;
        disabled: boolean;
        id: string;
        onKeyDown: (event: KeyboardEvent) => void;
        ref: import("../../shared").MergedRef<any>;
    };
};
