import { isNilOrEmpty } from "./assertions"; // https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/key/Key_Values

export let Keys;

(function (Keys) {
  Keys["arrowDown"] = "ArrowDown";
  Keys["arrowLeft"] = "ArrowLeft";
  Keys["arrowRight"] = "ArrowRight";
  Keys["arrowUp"] = "ArrowUp";
  Keys["backspace"] = "Backspace";
  Keys["delete"] = "Delete";
  Keys["enter"] = "Enter";
  Keys["end"] = "End";
  Keys["esc"] = "Escape";
  Keys["home"] = "Home";
  Keys["tab"] = "Tab";
  Keys["space"] = " ";
})(Keys || (Keys = {}));

export function appendEventKey(str, key) {
  switch (key) {
    case Keys.backspace:
      // Backspace is already handled by browser.
      return str;

    case Keys.delete:
      return !isNilOrEmpty(str) ? str.slice(0, -1) : str;

    default:
      return `${str}${key}`;
  }
}