import { UnionToIntersection } from "type-fest";
export interface CompositeKeyWeakMapNode<T> {
    map: WeakMap<any, any>;
    value?: T;
}
export declare class CompositeKeyWeakMap<T> {
    private root;
    set(keys: any[], value: T): void;
    get(keys: any[]): T;
    has(keys: any[]): boolean;
}
export declare type TupleTypes<T> = {
    [P in keyof T]: T[P];
} extends {
    [key: number]: infer V;
} ? V : never;
interface Props {
    [key: string]: any;
}
export declare function mergeProps<T extends Props[]>(...args: T): UnionToIntersection<TupleTypes<T>>;
export {};
