import { AllHTMLAttributes, ComponentProps, ElementType, ForwardedRef } from "react";
import { StyledSystemProps } from "../../styling";
export interface SlotProps {
    /**
     * [Slot](?path=/docs/getting-started-slots--page) to render into.
     */
    slot?: string;
}
export interface InternalProps {
    /**
     * @ignore
     */
    as?: ElementType;
    /**
     * @ignore
     */
    forwardedRef?: ForwardedRef<any>;
}
export declare type OmitInternalProps<T extends {
    forwardedRef?: ForwardedRef<any>;
}, U extends string = never> = Omit<T, "forwardedRef" | U>;
export interface InteractionProps {
    /**
     * @ignore
     */
    active?: boolean;
    /**
     * @ignore
     */
    focus?: boolean;
    /**
     * @ignore
     */
    hover?: boolean;
}
export declare type StyledSystemOverlappingHtmlAttributes = "as" | "color" | "content" | "height" | "size" | "width" | "wrap";
export declare type StyledComponentProps<T extends ElementType> = StyledSystemProps & Omit<ComponentProps<T>, StyledSystemOverlappingHtmlAttributes>;
export declare type StyledHtmlAttributes = StyledSystemProps & Omit<AllHTMLAttributes<any>, StyledSystemOverlappingHtmlAttributes>;
