import { FocusManager, FocusOptions } from "./useFocusManager";
import { RefObject } from "react";
export interface AbstractAutoFocusOptions {
    delay?: number;
    isDisabled?: boolean;
    onFocus?: (element?: HTMLElement) => void;
}
export interface AutoFocusOptions {
    delay?: number;
    isDisabled?: boolean;
    onFocus?: (element?: HTMLElement) => void;
}
export declare function useAutoFocus(targetRef: RefObject<HTMLElement>, { delay, isDisabled, onFocus }?: AutoFocusOptions): void;
export interface AutoFocusChildOptions extends FocusOptions {
    delay?: number;
    isDisabled?: boolean;
    target?: string;
}
export declare function useAutoFocusChild(focusManager: FocusManager, { target, isDisabled, delay, canFocus, onFocus, onNotFound }?: AutoFocusChildOptions): void;
