import { KeyboardEvent, KeyboardEventHandler } from "react";
import { Keys } from "./keys";
import type { FocusManager } from "./useFocusManager";
export interface KeyboardNavigationOptions {
    onSelect?: (event: KeyboardEvent, element: Element) => void;
}
export interface KeyboardNavigationBindings {
    first?: Keys[];
    last?: Keys[];
    next?: Keys[];
    previous?: Keys[];
}
export declare function useKeyboardNavigation(focusManager: FocusManager, { previous, next, first, last }: KeyboardNavigationBindings, { onSelect }?: KeyboardNavigationOptions): {
    onKeyDown: KeyboardEventHandler<Element>;
};
