import { MutableRefObject, RefCallback, RefObject, SetStateAction } from "react";
export declare type AssignableRef<T> = MutableRefObject<T> | RefCallback<T>;
export declare function assignRef<T>(ref: AssignableRef<T>, node: T): void;
export declare type UnwrapStateType<T> = T extends SetStateAction<infer U> ? U : T;
export declare type MergedRef<T> = RefCallback<T> & RefObject<T>;
export declare function mergeRefs<T>(...refs: AssignableRef<T>[]): MergedRef<UnwrapStateType<T>>;
export declare function useMergedRefs<T>(...refs: AssignableRef<T>[]): MergedRef<UnwrapStateType<T>>;
