import { useCallback, useRef } from "react";
import { useForceRender } from "./useForceRender";
export function useRefState(initialValue) {
  const forceRender = useForceRender();
  const valueRef = useRef(initialValue);
  const setValue = useCallback((newValue, rerender = false) => {
    if (valueRef.current !== newValue) {
      valueRef.current = newValue;

      if (rerender) {
        forceRender();
      }
    }
  }, [valueRef, forceRender]);
  return [valueRef, setValue];
}