import { ReactNode } from "react";
export declare const Breakpoints: {
    xs: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
};
export declare type Breakpoint = keyof typeof Breakpoints;
export interface BreakpointContextType {
    breakpoint?: Breakpoint;
}
export declare const BreakpointContext: import("react").Context<BreakpointContextType>;
export interface BreakpointProvider {
    children: ReactNode;
    unsupportedMatchMediaBreakpoint?: Breakpoint;
}
export declare function BreakpointProvider({ children, unsupportedMatchMediaBreakpoint }: BreakpointProvider): JSX.Element;
export declare function useBreakpointContext(): BreakpointContextType;
export declare function useBreakpoint(): "xs" | "sm" | "md" | "lg" | "xl";
