import { LiteralUnion } from "type-fest";
import { Property } from "csstype";
import { ResponsiveProp } from "../useResponsiveValue";
declare const GlobalValues: string[];
export declare const SpacingMapping: Record<1 | 2 | 13 | 3 | 6 | 4 | 10 | 5 | 7 | 8 | 9 | 11 | 12, string>;
export declare const SizingMapping: Record<1 | 2 | 13 | 18 | 3 | 6 | 4 | 10 | 5 | 7 | 8 | 9 | 11 | 12 | 14 | 15 | 16 | 17, string>;
export declare const ColorMapping: Record<"white" | "black" | "marine-1" | "marine-2" | "marine-3" | "marine-4" | "marine-5" | "marine-6" | "marine-7" | "marine-8" | "marine-9" | "marine-10" | "sunray-1" | "sunray-2" | "sunray-3" | "sunray-4" | "sunray-5" | "sunray-6" | "sunray-7" | "sunray-8" | "sunray-9" | "sunray-10" | "moonstone-1" | "moonstone-2" | "moonstone-3" | "moonstone-4" | "moonstone-5" | "moonstone-6" | "moonstone-7" | "moonstone-8" | "moonstone-9" | "moonstone-10" | "cloud-1" | "cloud-2" | "cloud-3" | "cloud-4" | "cloud-5" | "cloud-6" | "cloud-7" | "cloud-8" | "cloud-10" | "neutral-1" | "neutral-2" | "neutral-3" | "neutral-4" | "neutral-5" | "neutral-6" | "neutral-7" | "neutral-8" | "neutral-9" | "neutral-10" | "neutral-dark-1" | "neutral-dark-2" | "neutral-dark-3" | "neutral-dark-4" | "neutral-dark-5" | "neutral-dark-6" | "neutral-dark-7" | "neutral-dark-8" | "neutral-dark-9" | "neutral-dark-10" | "beetle-1" | "beetle-2" | "beetle-3" | "beetle-4" | "beetle-5" | "beetle-6" | "beetle-7" | "beetle-8" | "beetle-9" | "beetle-10" | "botanic-1" | "botanic-2" | "botanic-3" | "botanic-4" | "botanic-5" | "botanic-6" | "botanic-7" | "botanic-8" | "botanic-9" | "botanic-10" | "primary-1" | "primary-2" | "primary-3" | "primary-4" | "primary-5" | "primary-6" | "primary-7" | "primary-8" | "primary-9" | "primary-10", string>;
export declare const BackgroundColorMapping: {
    white: string;
    black: string;
    "marine-1": string;
    "marine-2": string;
    "marine-3": string;
    "marine-4": string;
    "marine-5": string;
    "marine-6": string;
    "marine-7": string;
    "marine-8": string;
    "marine-9": string;
    "marine-10": string;
    "sunray-1": string;
    "sunray-2": string;
    "sunray-3": string;
    "sunray-4": string;
    "sunray-5": string;
    "sunray-6": string;
    "sunray-7": string;
    "sunray-8": string;
    "sunray-9": string;
    "sunray-10": string;
    "moonstone-1": string;
    "moonstone-2": string;
    "moonstone-3": string;
    "moonstone-4": string;
    "moonstone-5": string;
    "moonstone-6": string;
    "moonstone-7": string;
    "moonstone-8": string;
    "moonstone-9": string;
    "moonstone-10": string;
    "cloud-1": string;
    "cloud-2": string;
    "cloud-3": string;
    "cloud-4": string;
    "cloud-5": string;
    "cloud-6": string;
    "cloud-7": string;
    "cloud-8": string;
    "cloud-10": string;
    "neutral-1": string;
    "neutral-2": string;
    "neutral-3": string;
    "neutral-4": string;
    "neutral-5": string;
    "neutral-6": string;
    "neutral-7": string;
    "neutral-8": string;
    "neutral-9": string;
    "neutral-10": string;
    "neutral-dark-1": string;
    "neutral-dark-2": string;
    "neutral-dark-3": string;
    "neutral-dark-4": string;
    "neutral-dark-5": string;
    "neutral-dark-6": string;
    "neutral-dark-7": string;
    "neutral-dark-8": string;
    "neutral-dark-9": string;
    "neutral-dark-10": string;
    "beetle-1": string;
    "beetle-2": string;
    "beetle-3": string;
    "beetle-4": string;
    "beetle-5": string;
    "beetle-6": string;
    "beetle-7": string;
    "beetle-8": string;
    "beetle-9": string;
    "beetle-10": string;
    "botanic-1": string;
    "botanic-2": string;
    "botanic-3": string;
    "botanic-4": string;
    "botanic-5": string;
    "botanic-6": string;
    "botanic-7": string;
    "botanic-8": string;
    "botanic-9": string;
    "botanic-10": string;
    "primary-1": string;
    "primary-2": string;
    "primary-3": string;
    "primary-4": string;
    "primary-5": string;
    "primary-6": string;
    "primary-7": string;
    "primary-8": string;
    "primary-9": string;
    "primary-10": string;
    "alias-1": string;
    "alias-2": string;
    "alias-info-1": string;
    "alias-negative-1": string;
    "alias-negative-2": string;
    "alias-positive-1": string;
    "alias-positive-2": string;
    "alias-primary-1": string;
    "alias-warning-1": string;
    "alias-warning-2": string;
    "alias-3": string;
    "alias-4": string;
    "alias-5": string;
    "alias-6": string;
    "alias-primary-2": string;
};
export declare const BorderMapping: {
    white: string;
    black: string;
    "marine-1": string;
    "marine-2": string;
    "marine-3": string;
    "marine-4": string;
    "marine-5": string;
    "marine-6": string;
    "marine-7": string;
    "marine-8": string;
    "marine-9": string;
    "marine-10": string;
    "sunray-1": string;
    "sunray-2": string;
    "sunray-3": string;
    "sunray-4": string;
    "sunray-5": string;
    "sunray-6": string;
    "sunray-7": string;
    "sunray-8": string;
    "sunray-9": string;
    "sunray-10": string;
    "moonstone-1": string;
    "moonstone-2": string;
    "moonstone-3": string;
    "moonstone-4": string;
    "moonstone-5": string;
    "moonstone-6": string;
    "moonstone-7": string;
    "moonstone-8": string;
    "moonstone-9": string;
    "moonstone-10": string;
    "cloud-1": string;
    "cloud-2": string;
    "cloud-3": string;
    "cloud-4": string;
    "cloud-5": string;
    "cloud-6": string;
    "cloud-7": string;
    "cloud-8": string;
    "cloud-10": string;
    "neutral-1": string;
    "neutral-2": string;
    "neutral-3": string;
    "neutral-4": string;
    "neutral-5": string;
    "neutral-6": string;
    "neutral-7": string;
    "neutral-8": string;
    "neutral-9": string;
    "neutral-10": string;
    "neutral-dark-1": string;
    "neutral-dark-2": string;
    "neutral-dark-3": string;
    "neutral-dark-4": string;
    "neutral-dark-5": string;
    "neutral-dark-6": string;
    "neutral-dark-7": string;
    "neutral-dark-8": string;
    "neutral-dark-9": string;
    "neutral-dark-10": string;
    "beetle-1": string;
    "beetle-2": string;
    "beetle-3": string;
    "beetle-4": string;
    "beetle-5": string;
    "beetle-6": string;
    "beetle-7": string;
    "beetle-8": string;
    "beetle-9": string;
    "beetle-10": string;
    "botanic-1": string;
    "botanic-2": string;
    "botanic-3": string;
    "botanic-4": string;
    "botanic-5": string;
    "botanic-6": string;
    "botanic-7": string;
    "botanic-8": string;
    "botanic-9": string;
    "botanic-10": string;
    "primary-1": string;
    "primary-2": string;
    "primary-3": string;
    "primary-4": string;
    "primary-5": string;
    "primary-6": string;
    "primary-7": string;
    "primary-8": string;
    "primary-9": string;
    "primary-10": string;
    "alias-1": string;
    "alias-2": string;
    "alias-negative-1": string;
    "alias-negative-2": string;
    "alias-positive-1": string;
    "alias-primary-1": string;
    "alias-warning-1": string;
    "alias-3": string;
    "alias-4": string;
    "alias-negative-1-translucent": string;
    "alias-primary-1-translucent": string;
};
export declare const BorderRadiusMapping: Record<0 | 1 | 2 | 3 | 4 | "pill", string>;
export declare const BoxShadowMapping: {
    "alias-skim": string;
    "alias-lifted": string;
    "alias-raised": string;
    "alias-floating": string;
    1: string;
    2: string;
    3: string;
    4: string;
};
export declare const FontSizeMapping: Record<1 | 2 | 3 | 6 | 4 | 5 | 7 | 8 | 9 | "subheadline" | "headline", string>;
export declare const FontWeightMapping: Record<1 | 2 | 3, string>;
export declare const IconColorMapping: {
    white: string;
    black: string;
    "marine-1": string;
    "marine-2": string;
    "marine-3": string;
    "marine-4": string;
    "marine-5": string;
    "marine-6": string;
    "marine-7": string;
    "marine-8": string;
    "marine-9": string;
    "marine-10": string;
    "sunray-1": string;
    "sunray-2": string;
    "sunray-3": string;
    "sunray-4": string;
    "sunray-5": string;
    "sunray-6": string;
    "sunray-7": string;
    "sunray-8": string;
    "sunray-9": string;
    "sunray-10": string;
    "moonstone-1": string;
    "moonstone-2": string;
    "moonstone-3": string;
    "moonstone-4": string;
    "moonstone-5": string;
    "moonstone-6": string;
    "moonstone-7": string;
    "moonstone-8": string;
    "moonstone-9": string;
    "moonstone-10": string;
    "cloud-1": string;
    "cloud-2": string;
    "cloud-3": string;
    "cloud-4": string;
    "cloud-5": string;
    "cloud-6": string;
    "cloud-7": string;
    "cloud-8": string;
    "cloud-10": string;
    "neutral-1": string;
    "neutral-2": string;
    "neutral-3": string;
    "neutral-4": string;
    "neutral-5": string;
    "neutral-6": string;
    "neutral-7": string;
    "neutral-8": string;
    "neutral-9": string;
    "neutral-10": string;
    "neutral-dark-1": string;
    "neutral-dark-2": string;
    "neutral-dark-3": string;
    "neutral-dark-4": string;
    "neutral-dark-5": string;
    "neutral-dark-6": string;
    "neutral-dark-7": string;
    "neutral-dark-8": string;
    "neutral-dark-9": string;
    "neutral-dark-10": string;
    "beetle-1": string;
    "beetle-2": string;
    "beetle-3": string;
    "beetle-4": string;
    "beetle-5": string;
    "beetle-6": string;
    "beetle-7": string;
    "beetle-8": string;
    "beetle-9": string;
    "beetle-10": string;
    "botanic-1": string;
    "botanic-2": string;
    "botanic-3": string;
    "botanic-4": string;
    "botanic-5": string;
    "botanic-6": string;
    "botanic-7": string;
    "botanic-8": string;
    "botanic-9": string;
    "botanic-10": string;
    "primary-1": string;
    "primary-2": string;
    "primary-3": string;
    "primary-4": string;
    "primary-5": string;
    "primary-6": string;
    "primary-7": string;
    "primary-8": string;
    "primary-9": string;
    "primary-10": string;
    "alias-1": string;
    "alias-2": string;
    "alias-info-1": string;
    "alias-negative-1": string;
    "alias-negative-2": string;
    "alias-positive-1": string;
    "alias-positive-2": string;
    "alias-primary-1": string;
    "alias-warning-1": string;
    "alias-warning-2": string;
};
export declare const LineHeightMapping: Record<1 | 2 | 3 | 6 | 4 | 5, string>;
export declare const TextColorMapping: {
    white: string;
    black: string;
    "marine-1": string;
    "marine-2": string;
    "marine-3": string;
    "marine-4": string;
    "marine-5": string;
    "marine-6": string;
    "marine-7": string;
    "marine-8": string;
    "marine-9": string;
    "marine-10": string;
    "sunray-1": string;
    "sunray-2": string;
    "sunray-3": string;
    "sunray-4": string;
    "sunray-5": string;
    "sunray-6": string;
    "sunray-7": string;
    "sunray-8": string;
    "sunray-9": string;
    "sunray-10": string;
    "moonstone-1": string;
    "moonstone-2": string;
    "moonstone-3": string;
    "moonstone-4": string;
    "moonstone-5": string;
    "moonstone-6": string;
    "moonstone-7": string;
    "moonstone-8": string;
    "moonstone-9": string;
    "moonstone-10": string;
    "cloud-1": string;
    "cloud-2": string;
    "cloud-3": string;
    "cloud-4": string;
    "cloud-5": string;
    "cloud-6": string;
    "cloud-7": string;
    "cloud-8": string;
    "cloud-10": string;
    "neutral-1": string;
    "neutral-2": string;
    "neutral-3": string;
    "neutral-4": string;
    "neutral-5": string;
    "neutral-6": string;
    "neutral-7": string;
    "neutral-8": string;
    "neutral-9": string;
    "neutral-10": string;
    "neutral-dark-1": string;
    "neutral-dark-2": string;
    "neutral-dark-3": string;
    "neutral-dark-4": string;
    "neutral-dark-5": string;
    "neutral-dark-6": string;
    "neutral-dark-7": string;
    "neutral-dark-8": string;
    "neutral-dark-9": string;
    "neutral-dark-10": string;
    "beetle-1": string;
    "beetle-2": string;
    "beetle-3": string;
    "beetle-4": string;
    "beetle-5": string;
    "beetle-6": string;
    "beetle-7": string;
    "beetle-8": string;
    "beetle-9": string;
    "beetle-10": string;
    "botanic-1": string;
    "botanic-2": string;
    "botanic-3": string;
    "botanic-4": string;
    "botanic-5": string;
    "botanic-6": string;
    "botanic-7": string;
    "botanic-8": string;
    "botanic-9": string;
    "botanic-10": string;
    "primary-1": string;
    "primary-2": string;
    "primary-3": string;
    "primary-4": string;
    "primary-5": string;
    "primary-6": string;
    "primary-7": string;
    "primary-8": string;
    "primary-9": string;
    "primary-10": string;
    "alias-1": string;
    "alias-2": string;
    "alias-info-1": string;
    "alias-negative-1": string;
    "alias-negative-2": string;
    "alias-positive-1": string;
    "alias-positive-2": string;
    "alias-primary-1": string;
    "alias-warning-1": string;
    "alias-warning-2": string;
    "alias-1-hover": string;
    "alias-1-active": string;
    "alias-2-hover": string;
    "alias-2-active": string;
    "alias-3": string;
    "alias-3-hover": string;
    "alias-3-active": string;
    "alias-4": string;
    "alias-primary-1-hover": string;
    "alias-primary-1-active": string;
    "alias-negative-1-hover": string;
    "alias-negative-1-active": string;
    "alias-info-1-hover": string;
    "alias-info-1-active": string;
    "alias-positive-1-hover": string;
    "alias-positive-1-active": string;
    "alias-warning-1-hover": string;
    "alias-warning-1-active": string;
    "alias-input-selection": string;
    "alias-input-placeholder": string;
};
export declare type BackgroundColorValue = keyof typeof BackgroundColorMapping | Property.BackgroundColor;
export declare type BorderValue = keyof typeof BorderMapping | Property.Border;
export declare type BorderRadiusValue = keyof typeof BorderRadiusMapping | Property.BorderRadius;
export declare type BoxShadowValue = keyof typeof BoxShadowMapping | Property.BoxShadow;
export declare type ColorValue = keyof typeof TextColorMapping | Property.Color;
export declare type ColumnGapValue = keyof typeof SpacingMapping | Property.ColumnGap;
export declare type FillValue = keyof typeof IconColorMapping | Property.Fill;
export declare type FontSizeValue = keyof typeof FontSizeMapping | Property.FontSize;
export declare type FontWeightValue = keyof typeof FontWeightMapping | typeof GlobalValues[number];
export declare type GapValue = keyof typeof SpacingMapping | Property.Gap;
export declare type GridAutoColumnsValue = keyof typeof SizingMapping | Property.GridAutoColumns;
export declare type GridAutoRowsValue = keyof typeof SizingMapping | Property.GridAutoRows;
export declare type GridTemplateColumnsValue = keyof typeof SizingMapping | Property.GridTemplateColumns;
export declare type GridTemplateRowsValue = keyof typeof SizingMapping | Property.GridTemplateRows;
export declare type HeightValue = keyof typeof SizingMapping | Property.Height;
export declare type LineHeightValue = keyof typeof LineHeightMapping | Property.LineHeight;
export declare type MarginValue = keyof typeof SpacingMapping | Property.Margin;
export declare type PaddingValue = keyof typeof SpacingMapping | Property.Padding;
export declare type RowGapValue = keyof typeof SpacingMapping | Property.RowGap;
export declare type SizingValue = LiteralUnion<keyof typeof SizingMapping, string>;
export declare type SpacingValue = LiteralUnion<keyof typeof SpacingMapping, string>;
export declare type StrokeValue = keyof typeof IconColorMapping | Property.Stroke;
export declare type WidthValue = keyof typeof SizingMapping | Property.Width;
export declare type AlignContentProp = ResponsiveProp<Property.AlignContent>;
export declare type AlignItemsProp = ResponsiveProp<Property.AlignItems>;
export declare type AlignSelfProp = ResponsiveProp<Property.AlignSelf>;
export declare type AspectRatioProp = ResponsiveProp<Property.AspectRatio>;
export declare type BackgroundColorProp = ResponsiveProp<BackgroundColorValue>;
export declare type BackgroundImageProp = ResponsiveProp<Property.BackgroundImage>;
export declare type BackgroundPositionProp = ResponsiveProp<Property.BackgroundPosition>;
export declare type BackgroundRepeatProp = ResponsiveProp<Property.BackgroundRepeat>;
export declare type BackgroundSizeProp = ResponsiveProp<Property.BackgroundSize>;
export declare type BorderProp = ResponsiveProp<BorderValue>;
export declare type BorderBottomProp = BorderProp;
export declare type BorderLeftProp = BorderProp;
export declare type BorderRightProp = BorderProp;
export declare type BorderTopProp = BorderProp;
export declare type BorderRadiusProp = ResponsiveProp<BorderRadiusValue>;
export declare type BorderBottomLeftRadiusProp = BorderRadiusProp;
export declare type BorderBottomRightRadiusProp = BorderRadiusProp;
export declare type BorderTopLeftRadiusProp = BorderRadiusProp;
export declare type BorderTopRightRadiusProp = BorderRadiusProp;
export declare type BottomProp = ResponsiveProp<Property.Bottom>;
export declare type BoxShadowProp = ResponsiveProp<BoxShadowValue>;
export declare type ColorProp = ResponsiveProp<ColorValue>;
export declare type ColumnGapProp = ResponsiveProp<ColumnGapValue>;
export declare type ContentProp = ResponsiveProp<Property.Content>;
export declare type ContentVisibilityProp = ResponsiveProp<Property.ContentVisibility>;
export declare type CursorProp = ResponsiveProp<Property.Cursor>;
export declare type DisplayProp = ResponsiveProp<Property.Display>;
export declare type FillProp = ResponsiveProp<FillValue>;
export declare type FilterProp = ResponsiveProp<Property.Filter>;
export declare type FlexProp = ResponsiveProp<Property.Flex>;
export declare type FlexBasisProp = ResponsiveProp<Property.FlexBasis>;
export declare type FlexDirectionProp = ResponsiveProp<Property.FlexDirection>;
export declare type FlexFlowProp = ResponsiveProp<Property.FlexFlow>;
export declare type FlexGrowProp = ResponsiveProp<Property.FlexGrow>;
export declare type FlexShrinkProp = ResponsiveProp<Property.FlexShrink>;
export declare type FlexWrapProp = ResponsiveProp<Property.FlexWrap>;
export declare type FontSizeProp = ResponsiveProp<FontSizeValue>;
export declare type FontStyleProp = ResponsiveProp<Property.FontStyle>;
export declare type FontWeightProp = ResponsiveProp<FontWeightValue>;
export declare type GapProp = ResponsiveProp<GapValue>;
export declare type GridProp = ResponsiveProp<Property.Grid>;
export declare type GridAreaProp = ResponsiveProp<Property.GridArea>;
export declare type GridAutoColumnsProp = ResponsiveProp<GridAutoColumnsValue>;
export declare type GridAutoFlowProp = ResponsiveProp<Property.GridAutoFlow>;
export declare type GridAutoRowsProp = ResponsiveProp<GridAutoRowsValue>;
export declare type GridColumnProp = ResponsiveProp<Property.GridColumn>;
export declare type GridColumnEndProp = ResponsiveProp<Property.GridColumnEnd>;
export declare type GridColumnSpanProp = ResponsiveProp<number>;
export declare type GridColumnStartProp = ResponsiveProp<Property.GridColumnStart>;
export declare type GridRowProp = ResponsiveProp<Property.GridRow>;
export declare type GridRowEndProp = ResponsiveProp<Property.GridRowEnd>;
export declare type GridRowStartProp = ResponsiveProp<Property.GridRowStart>;
export declare type GridRowSpanProp = ResponsiveProp<number>;
export declare type GridTemplateProp = ResponsiveProp<Property.GridTemplate>;
export declare type GridTemplateAreasProp = ResponsiveProp<Property.GridTemplateAreas>;
export declare type GridTemplateColumnsProp = ResponsiveProp<GridTemplateColumnsValue>;
export declare type GridTemplateRowsProp = ResponsiveProp<GridTemplateRowsValue>;
export declare type HeightProp = ResponsiveProp<HeightValue>;
export declare type JustifyContentProp = ResponsiveProp<Property.JustifyContent>;
export declare type JustifyItemsProp = ResponsiveProp<Property.JustifyItems>;
export declare type JustifySelfProp = ResponsiveProp<Property.JustifySelf>;
export declare type LeftProp = ResponsiveProp<Property.Left>;
export declare type LetterSpacingProp = ResponsiveProp<Property.LetterSpacing>;
export declare type LineHeightProp = ResponsiveProp<LineHeightValue>;
export declare type MarginProp = ResponsiveProp<MarginValue>;
export declare type MarginBottomProp = MarginProp;
export declare type MarginLeftProp = MarginProp;
export declare type MarginRightProp = MarginProp;
export declare type MarginTopProp = MarginProp;
export declare type MarginXProp = MarginProp;
export declare type MarginYProp = MarginProp;
export declare type MaxHeightProp = ResponsiveProp<HeightValue>;
export declare type MaxWidthProp = ResponsiveProp<WidthValue>;
export declare type MinHeightProp = ResponsiveProp<HeightValue>;
export declare type MinWidthProp = ResponsiveProp<WidthValue>;
export declare type ObjectFitProp = ResponsiveProp<Property.ObjectFit>;
export declare type ObjectPositionProp = ResponsiveProp<Property.ObjectPosition>;
export declare type OpacityProp = ResponsiveProp<Property.Opacity>;
export declare type OrderProp = ResponsiveProp<Property.Order>;
export declare type OutlineProp = ResponsiveProp<Property.Outline>;
export declare type OverflowProp = ResponsiveProp<Property.Overflow>;
export declare type OverflowXProp = ResponsiveProp<Property.OverflowX>;
export declare type OverflowYProp = ResponsiveProp<Property.OverflowY>;
export declare type PaddingProp = ResponsiveProp<PaddingValue>;
export declare type PaddingBottomProp = PaddingProp;
export declare type PaddingLeftProp = PaddingProp;
export declare type PaddingRightProp = PaddingProp;
export declare type PaddingTopProp = PaddingProp;
export declare type PaddingXProp = PaddingProp;
export declare type PaddingYProp = PaddingProp;
export declare type PointerEventsProp = ResponsiveProp<Property.PointerEvents>;
export declare type PositionProp = ResponsiveProp<Property.Position>;
export declare type ResizeProp = ResponsiveProp<Property.Resize>;
export declare type RightProp = ResponsiveProp<Property.Right>;
export declare type RowGapProp = ResponsiveProp<RowGapValue>;
export declare type StrokeProp = ResponsiveProp<StrokeValue>;
export declare type TextAlignProp = ResponsiveProp<Property.TextAlign | "justify-all">;
export declare type TextDecorationProp = ResponsiveProp<Property.TextDecoration>;
export declare type TextOverflowProp = ResponsiveProp<Property.TextOverflow>;
export declare type TextTransformProp = ResponsiveProp<Property.TextTransform>;
export declare type TopProp = ResponsiveProp<Property.Top>;
export declare type TransformProp = ResponsiveProp<Property.Transform>;
export declare type TransformOriginProp = ResponsiveProp<Property.TransformOrigin>;
export declare type TransformStyleProp = ResponsiveProp<Property.TransformStyle>;
export declare type VerticalAlignProp = ResponsiveProp<Property.VerticalAlign>;
export declare type VisibilityProp = ResponsiveProp<Property.Visibility>;
export declare type WhiteSpaceProp = ResponsiveProp<Property.WhiteSpace>;
export declare type WidthProp = ResponsiveProp<WidthValue>;
export declare type WillChangeProp = ResponsiveProp<Property.WillChange>;
export declare type WordBreakProp = ResponsiveProp<Property.WordBreak>;
export declare type ZIndexProp = ResponsiveProp<Property.ZIndex>;
export interface StyledSystemProps {
    /**
     * @ignore
     */
    alignContent?: AlignContentProp;
    /**
     * @ignore
     */
    alignItems?: AlignItemsProp;
    /**
     * @ignore
     */
    alignSelf?: AlignSelfProp;
    /**
     * @ignore
     */
    aspectRatio?: AspectRatioProp;
    /**
     * @ignore
     */
    backgroundColor?: BackgroundColorProp;
    /**
     * @ignore
     */
    backgroundColorActive?: BackgroundColorProp;
    /**
     * @ignore
     */
    backgroundColorFocus?: BackgroundColorProp;
    /**
     * @ignore
     */
    backgroundColorHover?: BackgroundColorProp;
    /**
     * @ignore
     */
    backgroundImage?: BackgroundImageProp;
    /**
     * @ignore
     */
    backgroundPosition?: BackgroundPositionProp;
    /**
     * @ignore
     */
    backgroundRepeat?: BackgroundRepeatProp;
    /**
     * @ignore
     */
    backgroundSize?: BackgroundSizeProp;
    /**
     * @ignore
     */
    border?: BorderProp;
    /**
     * @ignore
     */
    borderBottom?: BorderBottomProp;
    /**
     * @ignore
     */
    borderBottomActive?: BorderBottomProp;
    /**
     * @ignore
     */
    borderBottomFocus?: BorderBottomProp;
    /**
     * @ignore
     */
    borderBottomHover?: BorderBottomProp;
    /**
     * @ignore
     */
    borderBottomLeftRadius?: BorderRadiusProp;
    /**
     * @ignore
     */
    borderBottomRightRadius?: BorderRadiusProp;
    /**
     * @ignore
     */
    borderActive?: BorderProp;
    /**
     * @ignore
     */
    borderFocus?: BorderProp;
    /**
     * @ignore
     */
    borderHover?: BorderProp;
    /**
     * @ignore
     */
    borderLeft?: BorderLeftProp;
    /**
     * @ignore
     */
    borderLeftActive?: BorderLeftProp;
    /**
     * @ignore
     */
    borderLeftFocus?: BorderLeftProp;
    /**
     * @ignore
     */
    borderLeftHover?: BorderLeftProp;
    /**
     * @ignore
     */
    borderRadius?: BorderRadiusProp;
    /**
     * @ignore
     */
    borderRight?: BorderRightProp;
    /**
     * @ignore
     */
    borderRightActive?: BorderRightProp;
    /**
     * @ignore
     */
    borderRightFocus?: BorderRightProp;
    /**
     * @ignore
     */
    borderRightHover?: BorderRightProp;
    /**
     * @ignore
     */
    borderTop?: BorderTopProp;
    /**
     * @ignore
     */
    borderTopActive?: BorderTopProp;
    /**
     * @ignore
     */
    borderTopFocus?: BorderTopProp;
    /**
     * @ignore
     */
    borderTopHover?: BorderTopProp;
    /**
     * @ignore
     */
    borderTopLeftRadius?: BorderRadiusProp;
    /**
     * @ignore
     */
    borderTopRightRadius?: BorderRadiusProp;
    /**
     * @ignore
     */
    bottom?: BottomProp;
    /**
     * @ignore
     */
    boxShadow?: BoxShadowProp;
    /**
     * @ignore
     */
    boxShadowActive?: BoxShadowProp;
    /**
     * @ignore
     */
    boxShadowFocus?: BoxShadowProp;
    /**
     * @ignore
     */
    boxShadowHover?: BoxShadowProp;
    /**
     * @ignore
     */
    color?: ColorProp;
    /**
     * @ignore
     */
    colorActive?: ColorProp;
    /**
     * @ignore
     */
    colorFocus?: ColorProp;
    /**
     * @ignore
     */
    colorHover?: ColorProp;
    /**
     * @ignore
     */
    columnGap?: ColumnGapProp;
    /**
     * @ignore
     */
    content?: ContentProp;
    /**
     * @ignore
     */
    contentVisibility?: ContentVisibilityProp;
    /**
     * @ignore
     */
    cursor?: CursorProp;
    /**
     * @ignore
     */
    cursorHover?: CursorProp;
    /**
     * @ignore
     */
    display?: DisplayProp;
    /**
     * @ignore
     */
    fill?: FillProp;
    /**
     * @ignore
     */
    fillFocus?: FillProp;
    /**
     * @ignore
     */
    fillHover?: FillProp;
    /**
     * @ignore
     */
    filter?: FilterProp;
    /**
     * @ignore
     */
    flex?: FlexProp;
    /**
     * @ignore
     */
    flexBasis?: FlexBasisProp;
    /**
     * @ignore
     */
    flexDirection?: FlexDirectionProp;
    /**
     * @ignore
     */
    flexFlow?: FlexFlowProp;
    /**
     * @ignore
     */
    flexGrow?: FlexGrowProp;
    /**
     * @ignore
     */
    flexShrink?: FlexShrinkProp;
    /**
     * @ignore
     */
    flexWrap?: FlexWrapProp;
    /**
     * @ignore
     */
    fontSize?: FontSizeProp;
    /**
     * @ignore
     */
    fontStyle?: FontStyleProp;
    /**
     * @ignore
     */
    fontWeight?: FontWeightProp;
    /**
     * @ignore
     */
    gap?: GapProp;
    /**
     * @ignore
     */
    grid?: GridProp;
    /**
     * @ignore
     */
    gridArea?: GridAreaProp;
    /**
     * @ignore
     */
    gridAutoColumns?: GridAutoColumnsProp;
    /**
     * @ignore
     */
    gridAutoFlow?: GridAutoFlowProp;
    /**
     * @ignore
     */
    gridAutoRows?: GridAutoRowsProp;
    /**
     * @ignore
     */
    gridColumn?: GridColumnProp;
    /**
     * @ignore
     */
    gridColumnEnd?: GridColumnEndProp;
    /**
     * @ignore
     */
    gridColumnSpan?: GridColumnSpanProp;
    /**
     * @ignore
     */
    gridColumnStart?: GridColumnStartProp;
    /**
     * @ignore
     */
    gridRow?: GridRowProp;
    /**
     * @ignore
     */
    gridRowEnd?: GridRowEndProp;
    /**
     * @ignore
     */
    gridRowSpan?: GridRowSpanProp;
    /**
     * @ignore
     */
    gridRowStart?: GridRowStartProp;
    /**
     * @ignore
     */
    gridTemplate?: GridTemplateProp;
    /**
     * @ignore
     */
    gridTemplateAreas?: GridTemplateAreasProp;
    /**
     * @ignore
     */
    gridTemplateColumns?: GridTemplateColumnsProp;
    /**
     * @ignore
     */
    gridTemplateRows?: GridTemplateRowsProp;
    /**
     * @ignore
     */
    height?: HeightProp;
    /**
     * @ignore
     */
    justifyContent?: JustifyContentProp;
    /**
     * @ignore
     */
    justifyItems?: JustifyItemsProp;
    /**
     * @ignore
     */
    justifySelf?: JustifySelfProp;
    /**
     * @ignore
     */
    left?: LeftProp;
    /**
     * @ignore
     */
    letterSpacing?: LetterSpacingProp;
    /**
     * @ignore
     */
    lineHeight?: LineHeightProp;
    /**
     * @ignore
     */
    margin?: MarginProp;
    /**
     * @ignore
     */
    marginBottom?: MarginBottomProp;
    /**
     * @ignore
     */
    marginLeft?: MarginLeftProp;
    /**
     * @ignore
     */
    marginRight?: MarginRightProp;
    /**
     * @ignore
     */
    marginTop?: MarginTopProp;
    /**
     * @ignore
     */
    marginX?: MarginXProp;
    /**
     * @ignore
     */
    marginY?: MarginYProp;
    /**
     * @ignore
     */
    maxHeight?: MaxHeightProp;
    /**
     * @ignore
     */
    maxWidth?: MaxWidthProp;
    /**
     * @ignore
     */
    minHeight?: MinHeightProp;
    /**
     * @ignore
     */
    minWidth?: MinWidthProp;
    /**
     * @ignore
     */
    objectFit?: ObjectFitProp;
    /**
     * @ignore
     */
    objectPosition?: ObjectPositionProp;
    /**
     * @ignore
     */
    opacity?: OpacityProp;
    /**
     * @ignore
     */
    opacityActive?: OpacityProp;
    /**
     * @ignore
     */
    opacityFocus?: OpacityProp;
    /**
     * @ignore
     */
    opacityHover?: OpacityProp;
    /**
     * @ignore
     */
    order?: OrderProp;
    /**
     * @ignore
     */
    outline?: OutlineProp;
    /**
     * @ignore
     */
    outlineFocus?: OutlineProp;
    /**
     * @ignore
     */
    overflow?: OverflowProp;
    /**
     * @ignore
     */
    overflowX?: OverflowXProp;
    /**
     * @ignore
     */
    overflowY?: OverflowYProp;
    /**
     * @ignore
     */
    padding?: PaddingProp;
    /**
     * @ignore
     */
    paddingBottom?: PaddingBottomProp;
    /**
     * @ignore
     */
    paddingLeft?: PaddingLeftProp;
    /**
     * @ignore
     */
    paddingRight?: PaddingRightProp;
    /**
     * @ignore
     */
    paddingTop?: PaddingTopProp;
    /**
     * @ignore
     */
    paddingX?: PaddingXProp;
    /**
     * @ignore
     */
    paddingY?: PaddingYProp;
    /**
     * @ignore
     */
    pointerEvents?: PointerEventsProp;
    /**
     * @ignore
     */
    position?: PositionProp;
    /**
     * @ignore
     */
    resize?: ResizeProp;
    /**
     * @ignore
     */
    right?: RightProp;
    /**
     * @ignore
     */
    rowGap?: RowGapProp;
    /**
     * @ignore
     */
    stroke?: StrokeProp;
    /**
     * @ignore
     */
    textAlign?: TextAlignProp;
    /**
     * @ignore
     */
    textDecoration?: TextDecorationProp;
    /**
     * @ignore
     */
    textOverflow?: TextOverflowProp;
    /**
     * @ignore
     */
    textTransform?: TextTransformProp;
    /**
     * @ignore
     */
    top?: TopProp;
    /**
     * @ignore
     */
    transform?: TransformProp;
    /**
     * @ignore
     */
    transformOrigin?: TransformOriginProp;
    /**
     * @ignore
     */
    transformStyle?: TransformStyleProp;
    /**
     * @ignore
     */
    verticalAlign?: VerticalAlignProp;
    /**
     * @ignore
     */
    visibility?: VisibilityProp;
    /**
     * @ignore
     */
    whiteSpace?: WhiteSpaceProp;
    /**
     * @ignore
     */
    width?: WidthProp;
    /**
     * @ignore
     */
    willChange?: WillChangeProp;
    /**
     * @ignore
     */
    wordBreak?: WordBreakProp;
    /**
     * @ignore
     */
    zIndex?: ZIndexProp;
}
export declare function getSizingValue(value: string | keyof typeof SizingMapping): string | 1 | 2 | 13 | 18 | 3 | 6 | 4 | 10 | 5 | 7 | 8 | 9 | 11 | 12 | 14 | 15 | 16 | 17;
export declare function useStyledSystem<TProps extends Record<string, any>>(props: TProps): Omit<TProps, keyof StyledSystemProps>;
export {};
