import { ColorScheme, ColorSchemeOrSystem } from "../useColorScheme";
import { InternalProps, StyledComponentProps } from "../../../shared";
import { OrbitTheme } from "./orbitTheme";
import { ReactNode, Ref } from "react";
declare const DefaultElement = "div";
export interface ThemeProviderProps extends Omit<InternalProps, "forwardedRef">, Omit<StyledComponentProps<typeof DefaultElement>, "ref"> {
    /**
     * React children
     */
    children: ReactNode;
    /**
     * The color scheme to use.
     */
    colorScheme: ColorSchemeOrSystem;
    /**
     * Default color scheme to use when a user prefered color scheme (system) is not available.
     */
    defaultColorScheme?: ColorScheme;
    /**
     * @ignore
     */
    ref?: Ref<any>;
    /**
     * The theme to use.
     */
    theme: OrbitTheme;
}
export declare function ThemeProvider({ as, children, colorScheme, defaultColorScheme, theme: userTheme, ...rest }: ThemeProviderProps): JSX.Element;
export {};
