var _window;

import { isFunction } from "../../shared";
import { useEffect, useState } from "react"; // Ensure that matchMedia function exists. In a jest environement, this function is not available.

export const supportsMatchMedia = isFunction((_window = window) === null || _window === void 0 ? void 0 : _window.matchMedia); // Copied from https://github.com/adobe/react-spectrum/blob/main/packages/%40react-spectrum/utils/src/useMediaQuery.ts

export function useMediaQuery(query) {
  const [matches, setMatches] = useState(() => supportsMatchMedia ? window.matchMedia(query).matches : false);
  useEffect(() => {
    if (!supportsMatchMedia) {
      return;
    }

    const mediaQueryList = window.matchMedia(query);

    const onChange = event => {
      setMatches(event.matches);
    };

    mediaQueryList.addEventListener("change", onChange);
    return () => {
      mediaQueryList.removeEventListener("change", onChange);
    };
  }, [query]);
  return matches;
}