import { useBreakpoint } from "./BreakpointProvider";
import { isObject } from "../../shared";
export function parseResponsiveValue(value, breakpoint) {
  if (isObject(value)) {
    const responsiveValue = value[breakpoint !== null && breakpoint !== void 0 ? breakpoint : "base"];
    return responsiveValue !== null && responsiveValue !== void 0 ? responsiveValue : value["base"];
  }

  return value;
}
export function useResponsiveValue(value) {
  const breakpoint = useBreakpoint();
  return parseResponsiveValue(value, breakpoint);
}